Subject: Re: [syzbot] general protection fault in xfrm_user_rcv_msg_compat

From: syzbot <[email-masked]>
Date: Mon, 06 Sep 2021 12:29:12 -0700

syzbot suspects this issue was fixed by commit:

commit 4e9505064f58d1252805952f8547a5b7dbc5c111
Author: Dmitry Safonov <[email-masked]>
Date:   Sat Jul 17 15:02:21 2021 +0000

    net/xfrm/compat: Copy xfrm_spdattr_type_t atributes

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=14b8aa69300000
start commit:   a99163e9e708 Merge tag 'devicetree-for-5.12' of git://git...
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=7a875029a795d230
dashboard link: https://syzkaller.appspot.com/bug?extid=5078fc2d7cf37d71de1c
userspace arch: i386
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=167c1832d00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=10214f12d00000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: net/xfrm/compat: Copy xfrm_spdattr_type_t atributes

For information about bisection process see: https://goo.gl/tpsmEJ#bisection